<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
		<groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
		<artifactId>atlasmap</artifactId>
        <version>1.10.1</version>
    </parent>

	<groupId>ru.entaxy.esb.platform.runtime.modules.atlasmap</groupId>
    <artifactId>atlasmap-entaxy-libs</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: ATLASMAP :: LIBS</name>
    <description>ENTAXY :: ATLASMAP :: LIBS</description>
    
    <properties>
    	<xsom.version>2.5.2</xsom.version>
    	<javax.ws.rs.version>2.1.1</javax.ws.rs.version>
<!--		we can't up version because lib use the newest java 17-->
    	<jackson.version>2.9.10</jackson.version>
    	<jackson.databind.version>2.9.10.8</jackson.databind.version>
		<bundle.osgi.export.pkg>
			io.atlasmap.api,
			io.atlasmap.core,
			io.atlasmap.spi,
			io.atlasmap.v2,
			io.atlasmap.json.inspect,
			io.atlasmap.json.v2,
			io.atlasmap.service,
			io.atlasmap.v2,
			io.atlasmap.xml.inspect,
			io.atlasmap.xml.v2,
			io.atlasmap.actions
		</bundle.osgi.export.pkg>
    </properties>

    <dependencies>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
			<artifactId>base-support</artifactId>
			<version>${project.version}</version>
		</dependency>

        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>${commons-codec.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel.karaf</groupId>
            <artifactId>camel-cxf-blueprint</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
	      <groupId>com.fasterxml.jackson.core</groupId>
	      <artifactId>jackson-annotations</artifactId>
	      <version>${jackson.version}</version>
	    </dependency>
	    <dependency>
	      <groupId>com.fasterxml.jackson.core</groupId>
	      <artifactId>jackson-databind</artifactId>
	      <version>${jackson.databind.version}</version>
	    </dependency>
	    <dependency>
	      <groupId>com.fasterxml.jackson.core</groupId>
	      <artifactId>jackson-core</artifactId>
	      <version>${jackson.version}</version>
	    </dependency>
	    <dependency>
	        <groupId>com.fasterxml.jackson.module</groupId>
	        <artifactId>jackson-module-jsonSchema</artifactId>
	        <version>${jackson.version}</version>
	    </dependency>
	    <dependency>
	      <groupId>ru.entaxy.com.sun.xsom</groupId>
	      <artifactId>xsom</artifactId>
	      <version>${project.version}</version>
	    </dependency>
		<dependency>
			<groupId>io.swagger.core.v3</groupId>
			<artifactId>swagger-annotations</artifactId>
			<version>${swagger.v3.version}</version>
		</dependency>
		<dependency>
			<groupId>javax.ws.rs</groupId>
			<artifactId>javax.ws.rs-api</artifactId>
			<version>${javax.ws.rs.version}</version>
		</dependency>
    </dependencies>

</project>
